## org.eclipse.datatools.sqltools.parsers.sql.query.util
Interface CMESwitch

    public interface CMESwitch

Author:
  jruggles Generic visitor interface

Method Summary
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)`
`void` `setLevel(int p_level)`
`boolean` `visited(org.eclipse.emf.ecore.EObject theEObject)`

Method Detail

### visited

    boolean visited(org.eclipse.emf.ecore.EObject theEObject)

### setLevel

    void setLevel(int p_level)

### doSwitch

    java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)